{
    "name": "laravel/laravel",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "type": "project",
    "require": {
        "php": ">=7.0.0",
        "andres-montanez/magallanes": "^3.0",
        "barryvdh/laravel-dompdf": "^0.9.0",
        "bugsnag/bugsnag-laravel": "^2.0",
        "doctrine/dbal": "^2.9",
        "dompdf/dompdf": "^1.0",
        "fideloper/proxy": "~3.3",
        "graham-campbell/markdown": "^10.3",
        "guzzlehttp/guzzle": "^6.3",
        "hnhdigital-os/laravel-git-info": "^1.0",
        "jeroennoten/laravel-adminlte": "^1.24",
        "kitetail/zttp": "^0.4.0",
        "laravel/framework": "5.5.*",
        "laravel/tinker": "~1.0",
        "phayes/geophp": "^1.2"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.2",
        "filp/whoops": "~2.0",
        "friendsofphp/php-cs-fixer": "^2.15",
        "fzaninotto/faker": "~1.4",
        "mockery/mockery": "~1.0",
        "phpstan/phpstan": "0.11.12",
        "phpunit/phpunit": "~6.0",
        "symfony/thanks": "^1.0"
    },
    "autoload": {
        "classmap": [
            "database/seeds",
            "database/factories"
        ],
        "psr-4": {
            "App\\": "app/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "scripts": {
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate"
        ],
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover"
        ],
        "phpstan": "phpstan analyse app tests routes -c .phpstan.neon --level=0 --no-progress -vvv",
        "pre-commit": "./vendor/bin/phpunit --colors=always && ./vendor/bin/php-cs-fixer fix -vv --dry-run --ansi; phpstan analyse app tests routes -c .phpstan.neon --level=0 --no-progress -vvv --ansi"
    },
    "config": {
        "preferred-install": "dist",
        "sort-packages": true,
        "optimize-autoloader": true
    }
}
